%define tarball xf86-video-suncg3
# All packages should own all dirs they lead up to, for saner
# rpm packaging, in particular if the leading dirs are not owned by
# the "filesystem" package.
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir       %{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 suncg3 video driver
Name:      xorg-x11-drv-suncg3
Version:   1.1.0
Release:   1%{?dist}
URL:       http://www.x.org
# FIXME: If using a CVS version, uncomment the second Source0 line and use
# it instead.
Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
#Source0:   http://xorg.freedesktop.org/X11R7.0-RC0/driver/%{tarball}-%{version}-%{cvsdate}.tar.bz2
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk

Requires:  xorg-x11-server-Xorg
%description 
X.Org X11 suncg3 video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
# FIXME: This should be using makeinstall macro instead.  Please test
# makeinstall with this driver, and if it works, check it into CVS. If
# it fails, fix it in upstream sources and file a patch upstream.
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT%{moduledir} -name '*.la' | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
# FIXME: A glob is used here in the specfile template to make it easy to
# generate spec files automatically.  When everything is in CVS, if you're
# updating the spec file, please change the glob to a list of explicit
# filenames, so that rpm tracks individual files, and we know when a new
# one gets added.  Explicitly naming files also helps avoid random
# unexpected .so files (or others) from getting included in a shipping
# product.  Ditto for the manpages.
%{driverdir}/*.so
# NOTE: Uncomment when multimedia drivers are avail
#%dir %{moduledir}/multimedia
#%{moduledir}/multimedia/*.so
%dir %{_mandir}
%dir %{_mandir}/man4
%{_mandir}/man4/*.4*

%changelog
* Mon Jul 17 2006 Dennis Gilmore <dennis@ausil.us> - 1.1.0-1
- upgrade to xorg 7.1

* Tue Oct 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Limit "ExclusiveArch" to sparc, sparc64

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for suncg3 video driver generated automatically
  by my xorg-driverspecgen script.
